VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   4935
   ClientTop       =   2070
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   Begin VB.Label Label1 
      Caption         =   "Label1"
      Height          =   375
      Left            =   840
      TabIndex        =   0
      Top             =   360
      Width           =   2775
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'// ----------------------------------------------------------------------------
'//
'//  Project File:  CallingBB.vbp
'//                 A sample program that uses Declare Function to
'//                 access MakeBackupCD from BackupBurner.dll.
'//
'//  Edit the program path values before compiling.
'//
'//  Demo for use with Backup-Burner Add-on SDK
'//  February, 2002
'//  FrontBack LLC
'//  Produced by: D. Clark
'//
'//  Compiles in Visual Basic 6 SP5 without warnings or errors.
'//
'// ----------------------------------------------------------------------------

'Declare the dll's Function and Location here...
Private Declare Function MakeBackupCD Lib "Bin\BackupBurner.dll" _
(ByVal BBRegName As String, _
 ByVal BBRegCode As String, _
 ByVal BBVolume As String, _
 ByVal BBTitle As String, _
 ByVal BBColorForm As String, _
 ByVal BBColorText As String, _
 ByVal PathtoBinFolder As String, _
 ByVal BBFutureUse As String _
) As Integer
'Notice that the path of the dll above is a relative path.
'Other path choices are full: "c:\myprogpath\Bin\BackupBurner.dll"
'or within same folder: "BackupBurner.dll"

Private Sub Form_Load()
    
    'Use Visual Basic's built in error checking
    On Error GoTo Err_Load
   
    'Load the strings as shown
    BBRegName = "DEMOUSER" 'For Demo use
    BBRegCode = "ABCD1234" 'For Demo use
    BBVolume = "MyBackupCD" 'You can name the CD (no spaces allowed)
    BBTitle = "My program is ___" 'You can display your program name or comments here
    BBColorForm = "clSilver"  'default is clSilver, dont use hex color
    BBColorText = "clBlack"   'default is clBlack, dont use hex color
    PathtoBackupFolder = "c:\myprogpath\FilesToBackup\"
    BBFutureUse = ""

    MsgBox "Next will call the MakeBackupCD function in MakeBackupCD.dll...", vbInformation
    
    'Now call the function and wait for a ResultCode to return...
    ResultCode = MakeBackupCD(BBRegName, BBRegCode, BBVolume, BBTitle, BBColorForm, BBColorText, PathtoBackupFolder, BBFutureUse)
        
    'Display the ResultCode...
    Form1.Label1.Caption = "ResultCode= " & ResultCode
  
   Exit Sub
Err_Load:
   MsgBox "Error loading dll, check for correct path in the Function Declaration.", vbCritical
   
End Sub


